USE [COWS]
GO

/****** Object:  Table [dbo].[LK_CPE_PID]    Script Date: 11/08/2016 09:42:59 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[LK_CPE_PID](
	[CPE_PID_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[DMSTC_CD] [bit] NULL,
	[PID_PROD_ID] [varchar](5) NULL,
	[PID_CNTRCT_TYPE] [varchar](10) NULL,
	[EQPT_TYPE_ID] [varchar](5) NULL,
	[DROP_SHP] [varchar](1) NULL,
	[PROJ_ID] [varchar](8) NULL,
	[ACCT] [varchar](6) NULL,
	[PRODCT] [varchar](4) NULL,
	[ACTVY] [varchar](15) NULL,
	[SOURCE_TYP] [varchar](5) NULL,
	[RSRC_CAT] [varchar](5) NULL,
	[BUS_UNT_GL] [varchar](5) NULL,
	[COST_CNTR] [varchar](10) NULL,
	[MRKT] [varchar](5) NULL,
	[REGN] [varchar](4) NULL,
	[BUS_UNT_PC] [varchar](5) NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
 CONSTRAINT [CPE_PID_ID] PRIMARY KEY CLUSTERED 
(
	[CPE_PID_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX01_LK_CPE_PID] UNIQUE NONCLUSTERED 
(
	[CPE_PID_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[LK_CPE_PID]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPE_PID] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPE_PID] CHECK CONSTRAINT [FK01_LK_CPE_PID]
GO

ALTER TABLE [dbo].[LK_CPE_PID]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPE_PID] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPE_PID] CHECK CONSTRAINT [FK02_LK_CPE_PID]
GO

ALTER TABLE [dbo].[LK_CPE_PID]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPE_PID] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPE_PID] CHECK CONSTRAINT [FK03_LK_CPE_PID]
GO

ALTER TABLE [dbo].[LK_CPE_PID] ADD  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[LK_CPE_PID] ADD  DEFAULT ((1)) FOR [REC_STUS_ID]
GO


